This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 83238 - uname exits shell on invalid option
uname exits shell on invalid option
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sh-utils (Show other bugs)
7.3
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Ben Levenson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-01-31 14:24 EST by John Jetmore
Modified: 2007-04-18 12:50 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-31 17:03:39 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John Jetmore 2003-01-31 14:24:04 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0; H010818)

Description of problem:
running 'uname -V' exits the shell.  Ran it su'd to root and it exited me back 
to my login shell.  Ran it from my login shell and it logged me out entirely.  
Also tried uname -T to see if it was specific to -V, and -T produced same 
behaviour.

Additionally, in the error message the path to uname is incorrect.  error 
lists /usr/bin/uname, actual location is /bin/uname.

Version-Release number of selected component (if applicable):
2.0.11-14

How reproducible:
Always

Steps to Reproduce:
1. uname -V
2. 
3.
    

Actual Results:  I received error w/ incorect path and my session was terminated

Expected Results:  I should have received error w/ correct path and _not_ been 
logged out.

Additional info:

Example output:

<quote>
rizzo 0 /home/jetmore ># uname -T
/usr/bin/uname: invalid option -- T
Try `/usr/bin/uname --help' for more information.
rizzo 1 /home/jetmore >
</quote>
Comment 1 Tim Waugh 2003-01-31 17:03:39 EST
Sounds like you have 'set -e' in effect in your shell.

The path is correct in coreutils in rawhide.

Note You need to log in before you can comment on or make changes to this bug.